Package net.shibboleth.idp.cas.protocol

# Class TicketValidationResponse

java.lang.Object
net.shibboleth.idp.cas.protocol.AbstractProtocolResponse
net.shibboleth.idp.cas.protocol.TicketValidationResponse

public class TicketValidationResponse extends AbstractProtocolResponse
Service ticket validation response protocol message.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final List<Attribute>`
`attributes`
User attributes.
`private String`
`pgtIou`
Proxy granting ticket IOU.
`private final List<String>`
`proxies`
Proxies traversed.
`private String`
`userName`
Subject principal on ticket validation success.

## Constructor Summary

Constructors
Constructor
Description
`TicketValidationResponse()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`addAttribute(Attribute attribute)`
Add an attribute to the attribute collection.
`void`
`addProxy(String proxy)`
Adds a proxy to the list of proxies traversed.
`Collection<Attribute>`
`getAttributes()`
Get the immutable collection of user attributes.
`String`
`getPgtIou()`
Get the proxy granting ticket IOU.
`List<String>`
`getProxies()`
Get the immutable list of proxies traversed in order of most recent to last recent.
`String`
`getUserName()`
Get the non-null subject principal on ticket validation success.
`void`
`setPgtIou(String iou)`
Set the proxy granting ticket IOU.
`void`
`setUserName(String user)`
Set the non-null subject principal on ticket validation success.

### Methods inherited from class net.shibboleth.idp.cas.protocol.AbstractProtocolResponse

`getErrorCode, getErrorDetail, setErrorCode, setErrorDetail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### userName

@Nullable private String userName
Subject principal on ticket validation success.

### attributes

@Nonnull private final List<Attribute> attributes
User attributes.

### pgtIou

@Nullable private String pgtIou
Proxy granting ticket IOU.

### proxies

@Nonnull private final List<String> proxies
Proxies traversed.

## Constructor Details

### TicketValidationResponse

public TicketValidationResponse()
Constructor.

## Method Details

### getUserName

@Nullable @NotEmpty public String getUserName()
Get the non-null subject principal on ticket validation success.

Returns:
  non-null subject principal on ticket validation success

### setUserName

public void setUserName(@Nonnull @NotEmpty String user)
Set the non-null subject principal on ticket validation success.

Parameters:
  `user` - non-null subject principal on ticket validation success

### getAttributes

@Nonnull @NotLive @Unmodifiable public Collection<Attribute> getAttributes()
Get the immutable collection of user attributes.

Returns:
  immutable collection of user attributes

### addAttribute

public void addAttribute(@Nonnull Attribute attribute)
Add an attribute to the attribute collection.

Parameters:
  `attribute` - the attribute

### getPgtIou

@Nullable public String getPgtIou()
Get the proxy granting ticket IOU.

Returns:
  proxy granting ticket IOU

### setPgtIou

public void setPgtIou(@Nullable String iou)
Set the proxy granting ticket IOU.

Parameters:
  `iou` - proxy granting ticket IOU

### getProxies

@Nonnull @NotLive @Unmodifiable public List<String> getProxies()
Get the immutable list of proxies traversed in order of most recent to last recent.

Returns:
  immutable list of proxies traversed in order of most recent to last recent

### addProxy

public void addProxy(@Nonnull String proxy)
Adds a proxy to the list of proxies traversed.

Parameters:
  `proxy` - Name of a proxying service, typically a URI.